<template>
  <div>
    <el-form class="search-form" :model="form" ref="form" label-width="130px" :inline="true" size="mini">
      <el-form-item label="网元设备" >
        <el-input v-model="form.pointDeviceName" clearable placeholder="请输入网元设备"></el-input>
      </el-form-item>
      <el-form-item label="维修人员信息" >
        <el-input v-model="form.userName" clearable placeholder="请输入维修人员信息"></el-input>
      </el-form-item>
      <el-form-item label="连接告警维修时间">
        <el-date-picker
          v-model="dateRange"
          type="daterange"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
          value-format="yyyy-MM-dd">
        </el-date-picker>
      </el-form-item>
      <el-form-item>
        <el-button type="success"  @click="toSearch">查询</el-button>
        <el-button type="primary"  @click="reset">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
export default {
  name: 'search',
  data() {
    return {
      form: formInit(),
      dateRange: []
    }
  },
  methods: {
    toSearch() {
      this.form.startConnectAlarmMaintainTime = this.dateRange[0]
      this.form.endConnectAlarmMaintainTime = this.dateRange[1]
      this.$emit('search', this.form)
    },
    reset() {
      this.dateRange = []
      this.form = formInit()
      this.$emit('search')
    },
  }
}

function formInit() {
  return {
    pointDeviceName: '',
    startConnectAlarmMaintainTime: '',
    endConnectAlarmMaintainTime: '',
    userName: ''
  }
}
</script>
<style scoped lang="scss">
.w200 {
  width: 200px;
}
.search-form {
  padding: 10px;
  background-color: #EAF1FE;
  margin-bottom: 20px;
  border-radius: 8px;
  .el-form-item--mini.el-form-item, .el-form-item--small.el-form-item {
    margin-bottom: 0;
  }
}
</style>